# CRM API — Contacts

> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Contacts

This document contains every operation on the `Contacts` resource.

---

# List contacts

> **CRM API** · `GET /crm/contacts`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Contacts/operation/contactsAll

List contacts

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `filter` | query | `object` | No | Apply filters |
| `sort` | query | `object` | No | Apply sorting |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Contacts

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `contacts`
- `operation` `string` **required** — Operation performed — example: `all`
- `data` `array of object` **required**
  - `id` `string` — Unique identifier for the contact. — example: `12345`
  - `name` `string` — Full name of the contact. — example: `Elon Musk`
  - `owner_id` `string` — The owner of the contact. — example: `54321`
  - `type` `string` — The type of the contact. — enum: `customer`, `supplier`, `employee`, `personal` — example: `personal`
  - `company_id` `string` — The company the contact is associated with. — example: `23456`
  - `company_name` `string` — The name of the company the contact is associated with. — example: `23456`
  - `lead_id` `string` — The lead the contact is associated with. — example: `34567`
  - `first_name` `string` — The first name of the contact. — example: `Elon`
  - `middle_name` `string` — The middle name of the contact. — example: `D.`
  - `last_name` `string` — The last name of the contact. — example: `Musk`
  - `prefix` `string` — The prefix of the contact. — example: `Mr.`
  - `suffix` `string` — The suffix of the contact. — example: `PhD`
  - `title` `string` — The job title of the contact. — example: `CEO`
  - `department` `string` — The department of the contact. — example: `Engineering`
  - `language` `string` — language code according to ISO 639-1. For the United States - EN — example: `EN`
  - `gender` `string` — The gender of the contact. — enum: `male`, `female`, `unisex` — example: `female`
  - `birthday` `string` — The birthday of the contact. — example: `2000-08-12`
  - `image` `string` — example: `https://unavatar.io/elon-musk`
  - `photo_url` `string` — The URL of the photo of a person. — example: `https://unavatar.io/elon-musk`
  - `lead_source` `string` — The lead source of the contact. — example: `Cold Call`
  - `fax` `string` — The fax number of the contact. — example: `+12129876543`
  - `description` `string` — The description of the contact. — example: `Internal champion`
  - `current_balance` `number` — The current balance of the contact. — example: `10.5`
  - `status` `string` — The status of the contact. — example: `OK`
  - `active` `boolean` — The active status of the contact. — example: `true`
  - `websites` `array of object`
    - `id` `string` — Unique identifier for the website — example: `12345`
    - `url` `string` **required** — The website URL — example: `http://example.com`
    - `type` `string` — The type of website — enum: `primary`, `secondary`, `work`, `personal`, `other` — example: `primary`
  - `addresses` `array of object`
    - `id` `string` — Unique identifier for the address. — example: `123`
    - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
    - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
    - `name` `string` — The name of the address. — example: `HQ US`
    - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
    - `line2` `string` — Line 2 of the address — example: `apt #`
    - `line3` `string` — Line 3 of the address — example: `Suite #`
    - `line4` `string` — Line 4 of the address — example: `delivery instructions`
    - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
    - `street_number` `string` — Street number — example: `25`
    - `city` `string` — Name of city. — example: `San Francisco`
    - `state` `string` — Name of state — example: `CA`
    - `postal_code` `string` — Zip code or equivalent. — example: `94104`
    - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
    - `latitude` `string` — Latitude of the address — example: `40.759211`
    - `longitude` `string` — Longitude of the address — example: `-73.984638`
    - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
    - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
    - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
    - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
    - `fax` `string` — Fax number of the address — example: `122-111-1111`
    - `email` `string` — Email address of the address — example: `elon@musk.com`
    - `website` `string` — Website of the address — example: `https://elonmusk.com`
    - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
    - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
  - `social_links` `array of object`
    - `id` `string` — Unique identifier of the social link — example: `12345`
    - `url` `string` **required** — URL of the social link, e.g. https://www.twitter.com/apideck — example: `https://www.twitter.com/apideck`
    - `type` `string` — Type of the social link, e.g. twitter — example: `twitter`
  - `phone_numbers` `array of object`
    - `id` `string` — Unique identifier of the phone number — example: `12345`
    - `country_code` `string` — The country code of the phone number, e.g. +1 — example: `1`
    - `area_code` `string` — The area code of the phone number, e.g. 323 — example: `323`
    - `number` `string` **required** — The phone number — example: `111-111-1111`
    - `extension` `string` — The extension of the phone number — example: `105`
    - `type` `string` — The type of phone number — enum: `primary`, `secondary`, `home`, `work`, `office`, `mobile`, `assistant`, `fax`, `direct-dial-in`, `personal`, `billing`, `other` — example: `primary`
  - `emails` `array of object`
    - `id` `string` — Unique identifier for the email address — example: `123`
    - `email` `string` **required** — Email address — format: `email` — example: `elon@musk.com`
    - `type` `string` — Email type — enum: `primary`, `secondary`, `work`, `personal`, `billing`, `other` — example: `primary`
  - `email_domain` `string` — example: `gmail.com`
  - `custom_fields` `array of object`
    - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
    - `name` `string` — Name of the custom field. — example: `employee_level`
    - `description` `string` — More information about the custom field — example: `Employee Level`
    - `value` `string | number | boolean | object | array of string | number | boolean | object`
      - One of:
        - Option 1: string
        - Option 2: number
        - Option 3: boolean
        - Option 4: object

        - Option 5: array of string | number | boolean | object
  - `tags` `array of string`
  - `first_call_at` `string` — The first call date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `first_email_at` `string` — The first email date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `last_activity_at` `string` — The last activity date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `updated_at` `string` — The last update date of the contact. — format: `date-time` — example: `2017-08-12T20:43:21.291Z`
  - `created_at` `string` — The creation date of the contact. — format: `date-time` — example: `2017-08-12T20:43:21.291Z`
  - `opportunity_ids` `array of string` — The opportunity ids of the contact.
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Create contact

> **CRM API** · `POST /crm/contacts`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Contacts/operation/contactsAdd

Create contact

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |

### Request Body

_Required._

- `id` `string` — Unique identifier for the contact. — example: `12345`
- `name` `string` — Full name of the contact. — example: `Elon Musk`
- `owner_id` `string` — The owner of the contact. — example: `54321`
- `type` `string` — The type of the contact. — enum: `customer`, `supplier`, `employee`, `personal` — example: `personal`
- `company_id` `string` — The company the contact is associated with. — example: `23456`
- `company_name` `string` — The name of the company the contact is associated with. — example: `23456`
- `lead_id` `string` — The lead the contact is associated with. — example: `34567`
- `first_name` `string` — The first name of the contact. — example: `Elon`
- `middle_name` `string` — The middle name of the contact. — example: `D.`
- `last_name` `string` — The last name of the contact. — example: `Musk`
- `prefix` `string` — The prefix of the contact. — example: `Mr.`
- `suffix` `string` — The suffix of the contact. — example: `PhD`
- `title` `string` — The job title of the contact. — example: `CEO`
- `department` `string` — The department of the contact. — example: `Engineering`
- `language` `string` — language code according to ISO 639-1. For the United States - EN — example: `EN`
- `gender` `string` — The gender of the contact. — enum: `male`, `female`, `unisex` — example: `female`
- `birthday` `string` — The birthday of the contact. — example: `2000-08-12`
- `image` `string` — example: `https://unavatar.io/elon-musk`
- `photo_url` `string` — The URL of the photo of a person. — example: `https://unavatar.io/elon-musk`
- `lead_source` `string` — The lead source of the contact. — example: `Cold Call`
- `fax` `string` — The fax number of the contact. — example: `+12129876543`
- `description` `string` — The description of the contact. — example: `Internal champion`
- `current_balance` `number` — The current balance of the contact. — example: `10.5`
- `status` `string` — The status of the contact. — example: `open`
- `active` `boolean` — The active status of the contact. — example: `true`
- `websites` `array of object`
  - `id` `string` — Unique identifier for the website — example: `12345`
  - `url` `string` **required** — The website URL — example: `http://example.com`
  - `type` `string` — The type of website — enum: `primary`, `secondary`, `work`, `personal`, `other` — example: `primary`
- `addresses` `array of object`
  - `id` `string` — Unique identifier for the address. — example: `123`
  - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
  - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
  - `name` `string` — The name of the address. — example: `HQ US`
  - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
  - `line2` `string` — Line 2 of the address — example: `apt #`
  - `line3` `string` — Line 3 of the address — example: `Suite #`
  - `line4` `string` — Line 4 of the address — example: `delivery instructions`
  - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
  - `street_number` `string` — Street number — example: `25`
  - `city` `string` — Name of city. — example: `San Francisco`
  - `state` `string` — Name of state — example: `CA`
  - `postal_code` `string` — Zip code or equivalent. — example: `94104`
  - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
  - `latitude` `string` — Latitude of the address — example: `40.759211`
  - `longitude` `string` — Longitude of the address — example: `-73.984638`
  - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
  - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
  - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
  - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
  - `fax` `string` — Fax number of the address — example: `122-111-1111`
  - `email` `string` — Email address of the address — example: `elon@musk.com`
  - `website` `string` — Website of the address — example: `https://elonmusk.com`
  - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
  - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
- `social_links` `array of object`
  - `id` `string` — Unique identifier of the social link — example: `12345`
  - `url` `string` **required** — URL of the social link, e.g. https://www.twitter.com/apideck — example: `https://www.twitter.com/apideck`
  - `type` `string` — Type of the social link, e.g. twitter — example: `twitter`
- `phone_numbers` `array of object`
  - `id` `string` — Unique identifier of the phone number — example: `12345`
  - `country_code` `string` — The country code of the phone number, e.g. +1 — example: `1`
  - `area_code` `string` — The area code of the phone number, e.g. 323 — example: `323`
  - `number` `string` **required** — The phone number — example: `111-111-1111`
  - `extension` `string` — The extension of the phone number — example: `105`
  - `type` `string` — The type of phone number — enum: `primary`, `secondary`, `home`, `work`, `office`, `mobile`, `assistant`, `fax`, `direct-dial-in`, `personal`, `billing`, `other` — example: `primary`
- `emails` `array of object`
  - `id` `string` — Unique identifier for the email address — example: `123`
  - `email` `string` **required** — Email address — format: `email` — example: `elon@musk.com`
  - `type` `string` — Email type — enum: `primary`, `secondary`, `work`, `personal`, `billing`, `other` — example: `primary`
- `email_domain` `string` — example: `gmail.com`
- `custom_fields` `array of object`
  - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
  - `name` `string` — Name of the custom field. — example: `employee_level`
  - `description` `string` — More information about the custom field — example: `Employee Level`
  - `value` `string | number | boolean | object | array of string | number | boolean | object`
    - One of:
      - Option 1: string
      - Option 2: number
      - Option 3: boolean
      - Option 4: object

      - Option 5: array of string | number | boolean | object
- `tags` `array of string`
- `first_call_at` `string` — The first call date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `first_email_at` `string` — The first email date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `last_activity_at` `string` — The last activity date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `updated_at` `string` — The last update date of the contact. — format: `date-time` — example: `2017-08-12T20:43:21.291Z`
- `created_at` `string` — The creation date of the contact. — format: `date-time` — example: `2017-08-12T20:43:21.291Z`
- `opportunity_ids` `array of string` — The opportunity ids of the contact.
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.

### Responses

#### 201 — Contact created

- `status_code` `integer` **required** — HTTP Response Status Code — example: `201`
- `status` `string` **required** — HTTP Response Status — example: `Created`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `contacts`
- `operation` `string` **required** — Operation performed — example: `add`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get contact

> **CRM API** · `GET /crm/contacts/{id}`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Contacts/operation/contactsOne

Get contact

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |
| `filter` | query | `object` | No | Apply filters |

### Responses

#### 200 — Contact

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `companies`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `id` `string` — Unique identifier for the contact. — example: `12345`
  - `name` `string` — Full name of the contact. — example: `Elon Musk`
  - `owner_id` `string` — The owner of the contact. — example: `54321`
  - `type` `string` — The type of the contact. — enum: `customer`, `supplier`, `employee`, `personal` — example: `personal`
  - `company_id` `string` — The company the contact is associated with. — example: `23456`
  - `company_name` `string` — The name of the company the contact is associated with. — example: `23456`
  - `lead_id` `string` — The lead the contact is associated with. — example: `34567`
  - `first_name` `string` — The first name of the contact. — example: `Elon`
  - `middle_name` `string` — The middle name of the contact. — example: `D.`
  - `last_name` `string` — The last name of the contact. — example: `Musk`
  - `prefix` `string` — The prefix of the contact. — example: `Mr.`
  - `suffix` `string` — The suffix of the contact. — example: `PhD`
  - `title` `string` — The job title of the contact. — example: `CEO`
  - `department` `string` — The department of the contact. — example: `Engineering`
  - `language` `string` — language code according to ISO 639-1. For the United States - EN — example: `EN`
  - `gender` `string` — The gender of the contact. — enum: `male`, `female`, `unisex` — example: `female`
  - `birthday` `string` — The birthday of the contact. — example: `2000-08-12`
  - `image` `string` — example: `https://unavatar.io/elon-musk`
  - `photo_url` `string` — The URL of the photo of a person. — example: `https://unavatar.io/elon-musk`
  - `lead_source` `string` — The lead source of the contact. — example: `Cold Call`
  - `fax` `string` — The fax number of the contact. — example: `+12129876543`
  - `description` `string` — The description of the contact. — example: `Internal champion`
  - `current_balance` `number` — The current balance of the contact. — example: `10.5`
  - `status` `string` — The status of the contact. — example: `OK`
  - `active` `boolean` — The active status of the contact. — example: `true`
  - `websites` `array of object`
    - `id` `string` — Unique identifier for the website — example: `12345`
    - `url` `string` **required** — The website URL — example: `http://example.com`
    - `type` `string` — The type of website — enum: `primary`, `secondary`, `work`, `personal`, `other` — example: `primary`
  - `addresses` `array of object`
    - `id` `string` — Unique identifier for the address. — example: `123`
    - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
    - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
    - `name` `string` — The name of the address. — example: `HQ US`
    - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
    - `line2` `string` — Line 2 of the address — example: `apt #`
    - `line3` `string` — Line 3 of the address — example: `Suite #`
    - `line4` `string` — Line 4 of the address — example: `delivery instructions`
    - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
    - `street_number` `string` — Street number — example: `25`
    - `city` `string` — Name of city. — example: `San Francisco`
    - `state` `string` — Name of state — example: `CA`
    - `postal_code` `string` — Zip code or equivalent. — example: `94104`
    - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
    - `latitude` `string` — Latitude of the address — example: `40.759211`
    - `longitude` `string` — Longitude of the address — example: `-73.984638`
    - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
    - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
    - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
    - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
    - `fax` `string` — Fax number of the address — example: `122-111-1111`
    - `email` `string` — Email address of the address — example: `elon@musk.com`
    - `website` `string` — Website of the address — example: `https://elonmusk.com`
    - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
    - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
  - `social_links` `array of object`
    - `id` `string` — Unique identifier of the social link — example: `12345`
    - `url` `string` **required** — URL of the social link, e.g. https://www.twitter.com/apideck — example: `https://www.twitter.com/apideck`
    - `type` `string` — Type of the social link, e.g. twitter — example: `twitter`
  - `phone_numbers` `array of object`
    - `id` `string` — Unique identifier of the phone number — example: `12345`
    - `country_code` `string` — The country code of the phone number, e.g. +1 — example: `1`
    - `area_code` `string` — The area code of the phone number, e.g. 323 — example: `323`
    - `number` `string` **required** — The phone number — example: `111-111-1111`
    - `extension` `string` — The extension of the phone number — example: `105`
    - `type` `string` — The type of phone number — enum: `primary`, `secondary`, `home`, `work`, `office`, `mobile`, `assistant`, `fax`, `direct-dial-in`, `personal`, `billing`, `other` — example: `primary`
  - `emails` `array of object`
    - `id` `string` — Unique identifier for the email address — example: `123`
    - `email` `string` **required** — Email address — format: `email` — example: `elon@musk.com`
    - `type` `string` — Email type — enum: `primary`, `secondary`, `work`, `personal`, `billing`, `other` — example: `primary`
  - `email_domain` `string` — example: `gmail.com`
  - `custom_fields` `array of object`
    - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
    - `name` `string` — Name of the custom field. — example: `employee_level`
    - `description` `string` — More information about the custom field — example: `Employee Level`
    - `value` `string | number | boolean | object | array of string | number | boolean | object`
      - One of:
        - Option 1: string
        - Option 2: number
        - Option 3: boolean
        - Option 4: object

        - Option 5: array of string | number | boolean | object
  - `tags` `array of string`
  - `first_call_at` `string` — The first call date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `first_email_at` `string` — The first email date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `last_activity_at` `string` — The last activity date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `updated_at` `string` — The last update date of the contact. — format: `date-time` — example: `2017-08-12T20:43:21.291Z`
  - `created_at` `string` — The creation date of the contact. — format: `date-time` — example: `2017-08-12T20:43:21.291Z`
  - `opportunity_ids` `array of string` — The opportunity ids of the contact.
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Delete contact

> **CRM API** · `DELETE /crm/contacts/{id}`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Contacts/operation/contactsDelete

Delete contact

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Responses

#### 200 — Contact deleted

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `contacts`
- `operation` `string` **required** — Operation performed — example: `delete`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Update contact

> **CRM API** · `PATCH /crm/contacts/{id}`
> Canonical URL: https://developers.apideck.com/apis/crm/reference#tag/Contacts/operation/contactsUpdate

Update contact

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Request Body

_Required._

- `id` `string` — Unique identifier for the contact. — example: `12345`
- `name` `string` — Full name of the contact. — example: `Elon Musk`
- `owner_id` `string` — The owner of the contact. — example: `54321`
- `type` `string` — The type of the contact. — enum: `customer`, `supplier`, `employee`, `personal` — example: `personal`
- `company_id` `string` — The company the contact is associated with. — example: `23456`
- `company_name` `string` — The name of the company the contact is associated with. — example: `23456`
- `lead_id` `string` — The lead the contact is associated with. — example: `34567`
- `first_name` `string` — The first name of the contact. — example: `Elon`
- `middle_name` `string` — The middle name of the contact. — example: `D.`
- `last_name` `string` — The last name of the contact. — example: `Musk`
- `prefix` `string` — The prefix of the contact. — example: `Mr.`
- `suffix` `string` — The suffix of the contact. — example: `PhD`
- `title` `string` — The job title of the contact. — example: `CEO`
- `department` `string` — The department of the contact. — example: `Engineering`
- `language` `string` — language code according to ISO 639-1. For the United States - EN — example: `EN`
- `gender` `string` — The gender of the contact. — enum: `male`, `female`, `unisex` — example: `female`
- `birthday` `string` — The birthday of the contact. — example: `2000-08-12`
- `image` `string` — example: `https://unavatar.io/elon-musk`
- `photo_url` `string` — The URL of the photo of a person. — example: `https://unavatar.io/elon-musk`
- `lead_source` `string` — The lead source of the contact. — example: `Cold Call`
- `fax` `string` — The fax number of the contact. — example: `+12129876543`
- `description` `string` — The description of the contact. — example: `Internal champion`
- `current_balance` `number` — The current balance of the contact. — example: `10.5`
- `status` `string` — The status of the contact. — example: `open`
- `active` `boolean` — The active status of the contact. — example: `true`
- `websites` `array of object`
  - `id` `string` — Unique identifier for the website — example: `12345`
  - `url` `string` **required** — The website URL — example: `http://example.com`
  - `type` `string` — The type of website — enum: `primary`, `secondary`, `work`, `personal`, `other` — example: `primary`
- `addresses` `array of object`
  - `id` `string` — Unique identifier for the address. — example: `123`
  - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
  - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
  - `name` `string` — The name of the address. — example: `HQ US`
  - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
  - `line2` `string` — Line 2 of the address — example: `apt #`
  - `line3` `string` — Line 3 of the address — example: `Suite #`
  - `line4` `string` — Line 4 of the address — example: `delivery instructions`
  - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
  - `street_number` `string` — Street number — example: `25`
  - `city` `string` — Name of city. — example: `San Francisco`
  - `state` `string` — Name of state — example: `CA`
  - `postal_code` `string` — Zip code or equivalent. — example: `94104`
  - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
  - `latitude` `string` — Latitude of the address — example: `40.759211`
  - `longitude` `string` — Longitude of the address — example: `-73.984638`
  - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
  - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
  - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
  - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
  - `fax` `string` — Fax number of the address — example: `122-111-1111`
  - `email` `string` — Email address of the address — example: `elon@musk.com`
  - `website` `string` — Website of the address — example: `https://elonmusk.com`
  - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
  - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
- `social_links` `array of object`
  - `id` `string` — Unique identifier of the social link — example: `12345`
  - `url` `string` **required** — URL of the social link, e.g. https://www.twitter.com/apideck — example: `https://www.twitter.com/apideck`
  - `type` `string` — Type of the social link, e.g. twitter — example: `twitter`
- `phone_numbers` `array of object`
  - `id` `string` — Unique identifier of the phone number — example: `12345`
  - `country_code` `string` — The country code of the phone number, e.g. +1 — example: `1`
  - `area_code` `string` — The area code of the phone number, e.g. 323 — example: `323`
  - `number` `string` **required** — The phone number — example: `111-111-1111`
  - `extension` `string` — The extension of the phone number — example: `105`
  - `type` `string` — The type of phone number — enum: `primary`, `secondary`, `home`, `work`, `office`, `mobile`, `assistant`, `fax`, `direct-dial-in`, `personal`, `billing`, `other` — example: `primary`
- `emails` `array of object`
  - `id` `string` — Unique identifier for the email address — example: `123`
  - `email` `string` **required** — Email address — format: `email` — example: `elon@musk.com`
  - `type` `string` — Email type — enum: `primary`, `secondary`, `work`, `personal`, `billing`, `other` — example: `primary`
- `email_domain` `string` — example: `gmail.com`
- `custom_fields` `array of object`
  - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
  - `name` `string` — Name of the custom field. — example: `employee_level`
  - `description` `string` — More information about the custom field — example: `Employee Level`
  - `value` `string | number | boolean | object | array of string | number | boolean | object`
    - One of:
      - Option 1: string
      - Option 2: number
      - Option 3: boolean
      - Option 4: object

      - Option 5: array of string | number | boolean | object
- `tags` `array of string`
- `first_call_at` `string` — The first call date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `first_email_at` `string` — The first email date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `last_activity_at` `string` — The last activity date of the contact. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `updated_at` `string` — The last update date of the contact. — format: `date-time` — example: `2017-08-12T20:43:21.291Z`
- `created_at` `string` — The creation date of the contact. — format: `date-time` — example: `2017-08-12T20:43:21.291Z`
- `opportunity_ids` `array of string` — The opportunity ids of the contact.
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.

### Responses

#### 200 — Contact updated

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `zoho-crm`
- `resource` `string` **required** — Unified API resource name — example: `contacts`
- `operation` `string` **required** — Operation performed — example: `update`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
